#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2.1.1
visibility:           public
id:                   tree-diff-0.2.1.1-JvDBCbnUv9P7uCaol43rbN
key:                  tree-diff-0.2.1.1-JvDBCbnUv9P7uCaol43rbN
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  aab6a851f9bbbd8b7608e4b2850f8390
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.1.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/tree-diff-0.2.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/tree-diff-0.2.1.1
hs-libraries:         HStree-diff-0.2.1.1-JvDBCbnUv9P7uCaol43rbN
depends:
    QuickCheck-2.14.2-36CzwHd2MOfEJ13HPZo932
    aeson-1.5.6.0-8jziRWRW6a6EPpU4Gt4Qym
    ansi-terminal-0.11-7Sg6KtenVNR9Ce5shok5FD
    ansi-wl-pprint-0.6.9-2VNLfDMK9dk19FuqhpaBWd base-4.15.1.0
    base-compat-0.11.2-D5DT1MGmUKa4Ww8Uu5S4h5 bytestring-0.10.12.1
    containers-0.6.4.1 deepseq-1.4.5.0
    hashable-1.3.5.0-9wAI1WS8YgI32PWp14SUvr parsec-3.1.14.0
    parsers-0.12.10-UarT4aaJXJz6PrkqjdeI pretty-1.1.3.6
    primitive-0.7.3.0-B50m1vBTvOqCDtGqJqReDJ
    scientific-0.3.7.0-zRhXe7upIlDc7630h1Gjo
    semialign-1.2.0.1-Ls2nOW4mpvJ4uB5uHDjvdT
    strict-0.4.0.1-FvNxYoRvGo9H9sv50ucLqq
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR text-1.2.5.0
    these-1.1.1.1-8W6YHA4LcNsTetPpleTw8 time-1.9.3
    unordered-containers-0.2.15.0-Ht2efffRCvFCdRwsi5oUgT
    uuid-types-1.0.5-9sVThDAD5UbIzo1kNIw278
    vector-0.12.3.1-KtKcoCRq29nJlZWgb7i8Fm

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

